
/* User-space values for windvol. */

#ifndef WINDVOLU_UHINCLUDED
#define WINDVOLU_UHINCLUDED

#define SIGINFOFILE "/sys/module/windvol/parameters/cl_signal"

#define DEVICENAME "/dev/windvol"

/* Commands: Write these. Unknown command characters will be ignored. */

/* E - enable the irq */ 
/* D - disable the irq */ 
/* T - reset total */ 
/* N - Relay on */ 
/* F - Relay off */ 
/* Pnnnn - indicate process where to send signals, nnnn is a process id, pid  */ 
/* Cnnn - set value nnn to the countdown */ 

/* Read from the device:
	T:# Total count. Reset with (T)
	C:#  Countdown count (Cnnn)
	R:#  Relay state  1=off (F) 0=on (N)
	I:#  Interrupts enabled 1=enabled (E) 0=disabled (D)
	P:#  Pid of process set to be receiving the CL signal. (Pnnn) 
*/ 

#endif


